PETSc version 3.15.5
Fix/Edit manual page

# DMDAGetElementsSizes

Gets the local number of elements per direction for the non-overlapping decomposition identified by DMDAGetElements()

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAGetElementsSizes(DM da, PetscInt *mx, PetscInt *my, PetscInt *mz)

Not Collective

### Input Parameter

| da | - the DM object

### Output Parameters

| mx | - number of local elements in x-direction
| my | - number of local elements in y-direction
| mz | - number of local elements in z-direction

### Notes

It returns the same number of elements, irrespective of the DMDAElementType

### See Also

DMDAElementType, DMDASetElementType(), DMDAGetElements

### Level

intermediate

### Location

src/dm/impls/da/dagetelem.c

### Examples

src/ksp/ksp/tutorials/ex42.c.html
src/ksp/ksp/tutorials/ex43.c.html
src/ksp/ksp/tutorials/ex49.c.html
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages